export default class RectF {
  lt: PointF = new PointF(0, 0);
  w: number = 0;
  h: number = 0;

  constructor(lt: PointF = new PointF(0, 0), h: number = 0, w: number = 0) {
    this.lt = lt;
    this.h = h;
    this.w = w;
  }
}

export class PointF {
  constructor(x: number = 0, y: number = 0) {
    this.x = x;
    this.y = y;
  }
  x: number = 0;
  y: number = 0;
}

export class RotatedRectF extends RectF {
  angle: number = 0;

  constructor(
    lt: PointF = new PointF(0, 0),
    h: number = 0,
    w: number = 0,
    angle: number = 0
  ) {
    super(lt, h, w);
    this.angle = angle;
  }
}
export class RotatedRectFWithIndex extends RotatedRectF{
  index:number=0;
  percenter:number=0;
  initial_h:number=0;
  initial_w:number=0;
  background_h:number=0;
  background_w:number=0;
}
